#!/bin/bash

# directory containing all environment
envs=/storage/app/EWS/envs/

# directory containing all custom python packages
bin=/storage/app/EWS/General

# provide custom python packages so they can be imported
flagdir=${bin}/flagdir/
epimodel=${bin}/EWS-EpiModel/
advisory=${bin}/EWS-advisory-builder/
met_extractor=${bin}/EWS-met_extractor/era5_met_data_extraction/python/
plotting=${bin}/EWS-Plotting/

export PYTHONPATH=$PYTHONPATH:$flagdir:$epimodel:$advisory:$met_extractor:$plotting

# provide path to email credentials for logging

export EMAIL_CRED=${envs}/Cred_gmail.json

# activate conda environment of python modules so they can be imported
#TODO: Move conda_env from bin to envs
conda_env=${bin}/EWS-python/py3EWS
source /storage/app/miniconda3/bin/activate ${conda_env}

# get path of this script (to point to files within the same git repo)
proc_path="$( dirname "$(readlink -f "$0" )" )"

# run the processor with all arguments
python ${proc_path}/Processor.py "$@"

# deactivate conda environment
source /storage/app/miniconda3/bin/deactivate ${conda_env}

